Subject: bug#63570: closed (Re: [PATCH 1/5] gnu: cli11: Update to 2.3.2.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 28 May 2023 21:18:02 +0000

Your bug report

#63570: [PATCH 0/5] Update cli11 and paraview

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63570: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63570
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 1/5] gnu: cli11: Update to 2.3.2.
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Sun, 28 May 2023 23:17:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Donnerstag, dem 18.05.2023 um 16:55 +0200 schrieb Liliana Marie
Prikler:
> * gnu/packages/cpp.scm (cli11): Update to 2.3.2.
> [source]: Remove snippet.
> [arguments]: Drop #:imported-modules, #:modules, and #:phases.
> [native-inputs]: Add “catch2”.
> ---
Pushed along with the rest.

Subject: [PATCH 0/5] Update cli11 and paraview
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Thu, 18 May 2023 17:00:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

I saw that cli11 is a few versions outdated so I decided to bump both it
and its only dependant.  I also removed paraview-5.9 as its last
successful build was two weeks before the rust-team merge and thus users
are probably better off with a time machine.

Cheers

Liliana Marie Prikler (5):
  gnu: cli11: Update to 2.3.2.
  gnu: cli11: Use G-Expressions.
  gnu: python-mpi4py: Update to 3.1.4.
  gnu: Remove paraview-5.9.
  gnu: paraview: Update to 5.11.1.

 gnu/packages/cpp.scm              |  33 ++--------
 gnu/packages/image-processing.scm | 103 ++----------------------------
 gnu/packages/mpi.scm              |   4 +-
 3 files changed, 13 insertions(+), 127 deletions(-)

base-commit: 5b700945fb0b33eec410de8979cae2fbf0d4f118
-- 
2.40.1